[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TNamedIniCollection.IndexOfName

Search for an item, based on its name, and return its position

## Declaration

Source position: inicol.pp line 83

`public function TNamedIniCollection.IndexOfName(`
`const AName: string`
`):Integer;`

## Arguments

`AName` |  | Name to look for (case insensitive)

## Function result

Index of found item or -1 if none was found

## Description

IndexOfName searches the list of items and returns the index of the item which has name equal to AName (case insensitive). If no such item exists, -1 is returned.

Note that the (linear) search starts at the last element and works it's way back to the first.

## Errors

If no item exists, -1 is returned.

## See also

IndexOfUserData |  | Search for an item based on it's UserData property
TNamedIniCollectionItem.Name |  | Name of the item